Groovy 1.7.0

## groovy.util
Class ObjectGraphBuilder.ObjectRefFactory

    java.lang.Object
      ObjectFactory
          groovy.util.ObjectGraphBuilder.ObjectRefFactory

    class ObjectGraphBuilder.ObjectRefFactory
    extends ObjectFactory

Constructor Summary
`ObjectGraphBuilder.ObjectRefFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### ObjectGraphBuilder.ObjectRefFactory

    ObjectGraphBuilder.ObjectRefFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.